- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_http_chunked_stream.h File Reference

axis2 HTTP Chunked Stream More...

`#include <axutil_env.h>`
`#include <axutil_stream.h>`

Go to the source code of this file.

## Classes
struct | axis2_callback_info
## Typedefs
typedef struct axutil_http_chunked_stream | axutil_http_chunked_stream_t
typedef struct axis2_callback_info | axis2_callback_info_t
## Functions
AXIS2_EXTERN int | axutil_http_chunked_stream_read (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env, void *buffer, size_t count)
AXIS2_EXTERN int | axutil_http_chunked_stream_write (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env, const void *buffer, size_t count)
AXIS2_EXTERN int | axutil_http_chunked_stream_get_current_chunk_size (const axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_http_chunked_stream_write_last_chunk (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_http_chunked_stream_free (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN axutil_http_chunked_stream_t * | axutil_http_chunked_stream_create (const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axis2_bool_t | axutil_http_chunked_stream_get_end_of_chunks (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)

## Detailed Description

axis2 HTTP Chunked Stream